gmp++_int_compare.C File Reference

routines to compare integers. More...

`#include "gmp++/gmp++.h"`
`#include <cstdlib>`
Include dependency graph for gmp++_int_compare.C:

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Functions

int32_t | compare (const Integer &a, const Integer &b)
int32_t | absCompare (const Integer &a, const Integer &b)
int32_t | operator!= (uint32_t l, const Integer &n)
int32_t | operator== (uint32_t l, const Integer &n)
int32_t | operator> (uint32_t l, const Integer &n)
int32_t | operator< (uint32_t l, const Integer &n)
int32_t | operator>= (uint32_t l, const Integer &n)
int32_t | operator<= (uint32_t l, const Integer &n)
int32_t | isOne (const Integer &a)
int32_t | nonZero (const Integer &a)
int32_t | isZero (const Integer &a)

## Detailed Description

routines to compare integers.